const isHh = location.host.includes('10.196.131.73') //是否是河海版本
const isBeta = process.env.NODE_ENV === 'development' || location.host.includes('39.108.250.202:9000') //是否是职站测试
const isPro = location.host.includes('occupationlab.com') //是否是职站生产

let host = ''
if(isHh) {
    host = "http://10.196.131.73/"
} else if(isBeta) {
    host = "http://39.108.250.202:9000/"
} else if(isPro) {
    host = "http://www.occupationlab.com/"
}

export default {
    /**
     * @description 域名切换
     */
    host,
    /**
      * @description 是否是河海版本
      */
    isHh,
    /**
     * @description 是否是开发/测试版本
     */
    isBeta,
    /**
     * @description 配置显示在浏览器标签的title
     */
    title: 'Python数据采集（爬虫）教学实验系统',
    /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
    locale: 'zh',
    /**
     * @description 跳转子系统链接
     */
    systemId: 10,
    /**
     * @description 长时间未操作，自动退出登录时间
     */
    autoLogoutTime: 3600000
}